# Class ReadOnlySetWrapper<E>

java.lang.Object
javafx.beans.binding.SetExpression<E>
javafx.beans.property.ReadOnlySetProperty<E>
javafx.beans.property.SetProperty<E>
javafx.beans.property.SetPropertyBase<E>
javafx.beans.property.SimpleSetProperty<E>
javafx.beans.property.ReadOnlySetWrapper<E>

Type Parameters:
  `E` - the set element type

All Implemented Interfaces:
  `Iterable<E>, Collection<E>, Set<E>, Observable, Property<ObservableSet<E>>, ReadOnlyProperty<ObservableSet<E>>, ObservableObjectValue<ObservableSet<E>>, ObservableSetValue<E>, ObservableValue<ObservableSet<E>>, WritableObjectValue<ObservableSet<E>>, WritableSetValue<E>, WritableValue<ObservableSet<E>>, ObservableSet<E>`

public class ReadOnlySetWrapper<E> extends SimpleSetProperty<E>
This class provides a convenient class to define read-only properties. It creates two properties that are synchronized. One property is read-only and can be passed to external users. The other property is read- and writable and should be used internally only.

Since:
  JavaFX 2.1

- ## Property Summary

  ### Properties declared in class SetPropertyBase

  `empty, size`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ReadOnlySetWrapper()`
  The constructor of `ReadOnlySetWrapper`
  `ReadOnlySetWrapper(Object bean, String name)`
  The constructor of `ReadOnlySetWrapper`
  `ReadOnlySetWrapper(Object bean, String name, ObservableSet<E> initialValue)`
  The constructor of `ReadOnlySetWrapper`
  `ReadOnlySetWrapper(ObservableSet<E> initialValue)`
  The constructor of `ReadOnlySetWrapper`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ReadOnlySetProperty<E>`
  `getReadOnlyProperty()`
  Returns the readonly property, that is synchronized with this `ReadOnlySetWrapper`.

  ### Methods declared in class SimpleSetProperty

  `getBean, getName`

  ### Methods declared in class SetPropertyBase

  `addListener, addListener, addListener, bind, emptyProperty, fireValueChangedEvent, fireValueChangedEvent, get, invalidated, isBound, removeListener, removeListener, removeListener, set, sizeProperty, toString, unbind`

  ### Methods declared in class SetProperty

  `bindBidirectional, setValue, unbindBidirectional`

  ### Methods declared in class ReadOnlySetProperty

  `bindContent, bindContentBidirectional, equals, hashCode, unbindContent, unbindContentBidirectional`

  ### Methods declared in class SetExpression

  `add, addAll, asString, clear, contains, containsAll, getSize, getValue, isEmpty, isEqualTo, isNotEqualTo, isNotNull, isNull, iterator, remove, removeAll, retainAll, setExpression, size, toArray, toArray`

  ### Methods declared in class Object

  `clone, equals, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods declared in interface Collection

  `parallelStream, removeIf, stream, toArray`

  ### Methods declared in interface Iterable

  `forEach`

  ### Methods declared in interface Observable

  `subscribe`

  ### Methods declared in interface ObservableValue

  `flatMap, getValue, map, orElse, subscribe, subscribe, when`

  ### Methods declared in interface Set

  `add, addAll, clear, contains, containsAll, equals, hashCode, isEmpty, iterator, remove, removeAll, retainAll, size, spliterator, toArray, toArray`

  ### Methods declared in interface WritableValue

  `getValue`

- ## Constructor Details

  - ### ReadOnlySetWrapper

    public ReadOnlySetWrapper()
    The constructor of `ReadOnlySetWrapper`

  - ### ReadOnlySetWrapper

    public ReadOnlySetWrapper(ObservableSet<E> initialValue)
    The constructor of `ReadOnlySetWrapper`
    Parameters:
      `initialValue` - the initial value of the wrapped value

  - ### ReadOnlySetWrapper

    public ReadOnlySetWrapper(Object bean, String name)
    The constructor of `ReadOnlySetWrapper`
    Parameters:
      `bean` - the bean of this `ReadOnlySetWrapper`
      `name` - the name of this `ReadOnlySetWrapper`

  - ### ReadOnlySetWrapper

    public ReadOnlySetWrapper(Object bean, String name, ObservableSet<E> initialValue)
    The constructor of `ReadOnlySetWrapper`
    Parameters:
      `bean` - the bean of this `ReadOnlySetWrapper`
      `name` - the name of this `ReadOnlySetWrapper`
      `initialValue` - the initial value of the wrapped value

- ## Method Details

  - ### getReadOnlyProperty

    public ReadOnlySetProperty<E> getReadOnlyProperty()
    Returns the readonly property, that is synchronized with this `ReadOnlySetWrapper`.
    Returns:
      the readonly property